/**********************************************************************************************************************
 * DISCLAIMER
 * This software is supplied by Renesas Electronics Corporation and is only intended for use with Renesas products. No
 * other uses are authorized. This software is owned by Renesas Electronics Corporation and is protected under all
 * applicable laws, including copyright laws.
 * THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
 * THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED. TO THE MAXIMUM
 * EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES
 * SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO
 * THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 * Renesas reserves the right, without notice, to make changes to this software and to discontinue the availability of
 * this software. By using this software, you agree to the additional terms and conditions found by accessing the
 * following link:
 * http://www.renesas.com/disclaimer
 *
 * Copyright (C) 2020-2022 Renesas Electronics Corporation. All rights reserved.
 *********************************************************************************************************************/
/***********************************************************************/
/*                                                                     */
/*  FILE        :Main.c or Main.cpp                                    */
/*  DATE        :                                                      */
/*  DESCRIPTION :Main Program                                          */
/*  CPU TYPE    :                                                      */
/*                                                                     */
/*  NOTE:THIS IS A TYPICAL EXAMPLE.                                    */
/*                                                                     */
/***********************************************************************/

#include "r_smc_entry.h"

/*******************************************************************************
Global variables and functions
********************************************************************************/
__saddr uint8_t g_digit0_counter = 0U;    /* Variable for counter of digit 0 */
__saddr uint8_t g_digit1_counter = 4U;    /* Variable for counter of digit 1 */
__saddr uint8_t g_digit2_counter = 6U;    /* Variable for counter of digit 2 */
__saddr uint8_t g_digit0_stop_flag = 0U;    /* Flag for stop counter of digit 0 */
__saddr uint8_t g_digit1_stop_flag = 0U;    /* Flag for stop counter of digit 1 */
__saddr uint8_t g_digit2_stop_flag = 0U;    /* Flag for stop counter of digit 2 */
__saddr uint8_t g_sel_digit = 0U;
extern __saddr uint16_t g_disp_interval_cnt = 0U;    /* Variable for counter of display interval */

/*----------------------------------------------

    LED segment data table

-----------------------------------------------*/
const uint8_t SEG_TABLE[] =
{
    0xFC,                       /* 0b11111100:segment data for '0'  */
    0x60,                       /* 0b01100000:segment data for '1'  */
    0xDA,                       /* 0b11011010:segment data for '2'  */
    0xF2,                       /* 0b11110010:segment data for '3'  */
    0x66,                       /* 0b01100110:segment data for '4'  */
    0xB6,                       /* 0b10110110:segment data for '5'  */
    0xBE,                       /* 0b10111110:segment data for '6'  */
    0xE0,                       /* 0b11100000:segment data for '7'  */
    0xFE,                       /* 0b11111110:segment data for '8'  */
    0xF6,                       /* 0b11110110:segment data for '9'  */
    0x00                        /* 0b00000000:segment data for ' '  */
};

/*----------------------------------------------

   prototype declaration

-----------------------------------------------*/

void main(void);

/*******************************************************************************
* Function Name: main
* Description  : This function main function.
* Arguments    : None
* Return Value : None
********************************************************************************/
void main(void)
{

    EI();

    R_Config_TAU0_0_Start();

    R_Config_INTC_INTP5_Start();
    R_Config_INTC_INTP6_Start();
    R_Config_INTC_INTP7_Start();

    while ( 1U )
    {
	    HALT();
    	if ((g_digit0_stop_flag == 1) && (g_digit1_stop_flag == 1) && (g_digit2_stop_flag == 1))
    	{
    		if ((g_digit0_counter == g_digit1_counter) && (g_digit0_counter == g_digit2_counter) && (g_digit1_counter == g_digit2_counter))
    		{
    			R_Config_PCLBUZ0_Start();
    		}
    		else
    		{
    			;
    		}
    	}
    	else
    	{
    		;
    	}

    }

}
