/***********************************************************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only intended for use with Renesas products.
* No other uses are authorized. This software is owned by Renesas Electronics Corporation and is protected under all
* applicable laws, including copyright laws. 
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED
* OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
* NON-INFRINGEMENT.  ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY
* LAW, NEITHER RENESAS ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE FOR ANY DIRECT,
* INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR
* ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software and to discontinue the availability 
* of this software. By using this software, you agree to the additional terms and conditions found by accessing the 
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2021, 2023 Renesas Electronics Corporation. All rights reserved.
***********************************************************************************************************************/

/***********************************************************************************************************************
* File Name        : Config_TAU0_0_user.c
* Component Version: 1.4.0
* Device(s)        : R7F100GLGxFB
* Description      : This file implements device driver for Config_TAU0_0.
***********************************************************************************************************************/
/***********************************************************************************************************************
Includes
***********************************************************************************************************************/
#include "r_cg_macrodriver.h"
#include "r_cg_userdefine.h"
#include "Config_TAU0_0.h"
/* Start user code for include. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */

/***********************************************************************************************************************
Pragma directive
***********************************************************************************************************************/
#pragma interrupt r_Config_TAU0_0_interrupt(vect=INTTM00)
/* Start user code for pragma. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */

/***********************************************************************************************************************
Global variables and functions
***********************************************************************************************************************/
/* Start user code for global. Do not edit comment generated here */
extern __saddr uint8_t g_digit0_counter;    /* Variable for counter of digit 0 */
extern __saddr uint8_t g_digit1_counter;    /* Variable for counter of digit 1 */
extern __saddr uint8_t g_digit2_counter;    /* Variable for counter of digit 2 */
extern __saddr uint8_t g_digit0_stop_flag;    /* Flag for stop counter of digit 0 */
extern __saddr uint8_t g_digit1_stop_flag;    /* Flag for stop counter of digit 1 */
extern __saddr uint8_t g_digit2_stop_flag;    /* Flag for stop counter of digit 2 */
extern __saddr uint16_t g_disp_interval_cnt;    /* Variable for counter of display interval */
extern __saddr uint8_t g_sel_digit;
extern const uint8_t SEG_TABLE[];
const uint16_t DISP_INTERVAL = 1000U;    /* display interval */
/* End user code. Do not edit comment generated here */

/***********************************************************************************************************************
* Function Name: R_Config_TAU0_0_Create_UserInit
* Description  : This function adds user code after initializing the TAU0 channel 0.
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
void R_Config_TAU0_0_Create_UserInit(void)
{
    /* Start user code for user init. Do not edit comment generated here */
    /* End user code. Do not edit comment generated here */
}

/***********************************************************************************************************************
* Function Name: r_Config_TAU0_0_interrupt
* Description  : This function is INTTM00 interrupt service routine.
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
static void __near r_Config_TAU0_0_interrupt(void)
{
    /* Start user code for r_Config_TAU0_0_interrupt. Do not edit comment generated here */
	P4 = 0x00;
    	g_disp_interval_cnt++;
    	g_sel_digit++;

	switch(g_sel_digit) 
	{
		case 1:
			P4 = 0x08;
			P7 = SEG_TABLE[ g_digit0_counter & 0x0F ];
			break;
		
		case 2:
			P4 = 0x04;
			P7 = SEG_TABLE[ g_digit1_counter & 0x0F ];
			break;
		
		case 3:
			P4 = 0x02;
			P7 = SEG_TABLE[ g_digit2_counter & 0x0F ];
			g_sel_digit = 0;
			break;
			
		default:			
	}

	if(g_disp_interval_cnt == DISP_INTERVAL)
	{
		if(g_digit0_stop_flag == 0)
		{
			g_digit0_counter++;
		}
		if(g_digit0_counter == 10)
		{
			g_digit0_counter = 0;
		}
		
		if(g_digit1_stop_flag == 0)
		{
		g_digit1_counter++;
		}
		if(g_digit1_counter == 10)
		{
			g_digit1_counter = 0;
		}
		
		if(g_digit2_stop_flag == 0)
		{
		g_digit2_counter++;
		}
		if(g_digit2_counter == 10)
		{
			g_digit2_counter = 0;
		}

		g_disp_interval_cnt = 0;
	}	

    /* End user code. Do not edit comment generated here */
}

/* Start user code for adding. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */
